<?php
//echo 'Entrei em FormAcessoSenha';

include("ClasseSenha.php");
$novasenha = new senha;

include("ClasseSysLOG.php");
$NovoLOG = new sysLOG;

session_start();

if (isset($_SESSION["nome"])) 
{
   //echo 'Entrei em Session perdida';

   $NovoLOG->IdPagina        = $_SESSION["IdPagina"];
   $NovoLOG->IdSistema       = $_SESSION["IdSistema"];
   $NovoLOG->DtHrIniLogin    = $_SESSION["InicioLogin"];
   $NovoLOG->UsuAlvo         = $_SESSION["nome"];
   $NovoLOG->IdUsuario       = $_SESSION["nome"];
   $NovoLOG->CodigoLogin     = $_SESSION['IdSessao'];
   $NovoLOG->NomeHost        = $novasenha->EndHost();      //Pega Nome do computador do usuario
   $NovoLOG->IdIP            = $novasenha->IPHost();       //Pega IP do computador do usuario
   $NovoLOG->Operacao        = 'TerminoLOGIN';
   $NovoLOG->DataHoraTermino = date("Y/m/d H:i:s");
   $NovoLOG->TextoAcesso     = 'Termino Normal';
   $NovoLOG->Refutado        = 'N';
   $x=$NovoLOG->Inclui();

   $novasenha->usuario = $_SESSION["nome"];
   $novasenha->CodTemp = '';
   //Limpa Codigo Temporaria do LOGIN na Tabela
   $Limpa=$novasenha->AtualizaCodTemp();
}

//Destroi qualquer sessao existente
session_destroy();

//Cria a Sessao
session_start();
//INICAILIZA A SESSO
//REGISTRA AS VARIVEIS NA SESSO
$_SESSION["IdPagina"] = 'FormAcessoSenha.php';
$_SESSION["Mensagem"] = 'Entrada Normal';
$_SESSION["Refutado"] = 'N';
$_SESSION["IdSistema"] = 'SYSLOGUE';
$_SESSION["Autenticado"] = false;
$_SESSION["NomeCompleto"] = NULL;
$_SESSION["TipoUsuario"]  = NULL;

include("ClasseSysLogue.php");
$ConfigSistema = new syslogue;
$ConfigSistema->IdSistema       = $_SESSION["IdSistema"];
$_SESSION["Skin"] = $ConfigSistema->PegaSkin();
$_SESSION["TempoLogin"] = $ConfigSistema->PegaTempoLogin();

$_SESSION["Foto"] = "Foto/Login/"; //Deve vir de tabela e com nome do diretorio = nome do Skin

$Skin=$_SESSION["Skin"];

$entrar="";
$wusuario="";
$wsenha="";
$wCodTemp="";

$mensagem='';

//Joga valores digitados no formulario para variaveis de mesmo nome 
if (!empty($HTTP_GET_VARS)) {
    while(list($xxxname, $value) = each($HTTP_GET_VARS)) {
        $$xxxname = $value;
    }
}
if (!empty($HTTP_POST_VARS)) {
    while(list($xxxname, $value) = each($HTTP_POST_VARS)) {
        $$xxxname = $value;
    }
}

if (!empty($HTTP_POST_FILES)) {
    while(list($xxxname, $value) = each($HTTP_POST_FILES)) {
        $$xxxname = $value['tmp_name'];
    }
}

$_SESSION["UsuarioAlvo"] = $wusuario;

//$novasenha = new senha;

//Checa se h a possibilidade de existir comando SQL ou codigo malicioso que possa ser interpretado pelo SQL
if ( ($novasenha->TestaInjectSQL($wusuario)) and ($novasenha->TestaInjectSQL($wsenha)) )
 {
   if ($wusuario != "")
    {
      $novasenha->usuario = $wusuario;
    }
   if ($wsenha != "")
    {
      $novasenha->senha = $novasenha->Criptografa($wsenha);
      $wsenha='AhAhAhAhAhAhAhAh - No tente novamente';
    }
 }
else
 {
    $_SESSION["InicioLogin"] = date("Y/m/d H:i:s");
    $_SESSION["Operacao"] = 'ChecaFormAcessoSenha';
    $_SESSION["UsuarioAlvo"] = $wusuario;
    $_SESSION["Mensagem"] = 'SQL Injection!! - '.($wusuario).', '.($wsenha);
    $_SESSION["Refutado"] = 'S';
    header("Location: SaiSenha.php");
 }

//Indica o Privilegio exigido do usuario para acessar as operaes com senhas
$novasenha->privilegio = 'A'; //Privilegio de Administrador depois deve vir da Tabela de Paginas no caso FormSenhas.php

//Pega Dados Dados do Host
$wIP   = $novasenha->IPHost();
$wHost = $novasenha->EndHost();

if ($entrar)
{  
 if (($novasenha->usuario != "") and ($novasenha->senha != ""))
 { 
     //Note que para que confere e retorne verdadeiro o usuario a ser consultado dever ter no Atributo TipoUsuario = 'A'
     //ou seja  exigido pelo solicitante que o usuario tenha privilgios de Administrador, alm de que o usurio exista e a senha confira
     //Entende-se pois o usuario ter acesso a modificao de senha e usuarios no sistema de controle de acesso(login)
     If ( $novasenha->Confere() ) 
      { 
//        include("ClasseSysLogue.php");
        $novologue = new syslogue;
	$novologue->IdSistema       = $_SESSION["IdSistema"];

       //Cria o Codigo Temporario para a Sessao que ser armazenado no Banco de Dados para posterior Conferencia
       //Assina Digitalmente na Geracao do Codigo Temporario (funciona como Assinatura do Sistema de senhas)
       $novasenha->CodTemp = $novasenha->GeraCodUnico().$novologue->Assinatura();

       //Atualiza o Codigo de Controle gerado na Tabela de Login para o Usuario
       if ( $novasenha->AtualizaCodTemp() )
        { 
           //INICAILIZA A SESSO
           //REGISTRA AS VARIVEIS NA SESSO
           $_SESSION["IdSessao"] = $novasenha->CodTemp;

           $_SESSION["InicioLogin"] = date("Y/m/d H:i:s");

           $novasenha->DtHrUltimoLogin = $_SESSION["InicioLogin"];
           $novasenha->TotalAcesso = ($novasenha->PegaAcesso()+1);
           $novasenha->CodUltimoLogin = $_SESSION["IdSessao"];
           $novasenha->AtualizaDadoLogin();           

           //echo 'Total de Acessos de '.($novasenha->usuario).' - '.($novasenha->TotalAcesso);

           $_SESSION["Operacao"] = 'InicioLOGIN';
           $_SESSION["UsuarioAlvo"] = $novasenha->usuario;

           $_SESSION["IdPagina"] = 'FormAcessoSenha.php';
           //Pegar IP do computador do usuario
           $_SESSION["IdIP"] = $wIP; 
           //Pegar Nome do computador do usuario
           $_SESSION["IdHost"] = $wHost; 
           $_SESSION["nome"] = $novasenha->usuario;
           //Deve ser retirado em funcao de senha em memoria - Apenas controle
           $_SESSION["senha"] = $novasenha->senha; 
           //Aqui deveria ser jogado o retornado do privilegio do usuario na consulta acima
           $_SESSION["privilegio"] = $novasenha->privilegio;
	   $_SESSION["AssinaTemp"] = "";  

//	   $NovoLOG = new sysLOG;
 	   $NovoLOG->IdPagina        = $_SESSION["IdPagina"];
  	   $NovoLOG->IdSistema       = $_SESSION["IdSistema"];
           $NovoLOG->DtHrIniLogin    = $_SESSION["InicioLogin"];
	   $NovoLOG->UsuAlvo         = $_SESSION["UsuarioAlvo"];

	   $NovoLOG->IdUsuario       = $_SESSION["nome"];
	   $NovoLOG->CodigoLogin     = $_SESSION['IdSessao'];
	   $NovoLOG->IdIP            = $_SESSION["IdIP"];
	   $NovoLOG->NomeHost        = $_SESSION["IdHost"];

	   $NovoLOG->Operacao        = $_SESSION["Operacao"];
	   $NovoLOG->DataHoraTermino = date("Y/m/d H:i:s");
	   $NovoLOG->TextoAcesso     = $_SESSION["Mensagem"];
	   $NovoLOG->Refutado        = 'N';

	   //Inclui no LOG o Inicio do LOGIN do usuario
             $x=$NovoLOG->Inclui();
             header("Location: FormSenhas.php");
        } 
       else
        { 
           $mensagem='Cdigo LOGIN No Atualizado!! Contate o Gestor do Sistema';
        } 
      } 
     else
      { 
         $mensagem='SEM PERMISSO DE ACESSO!! Contate o Gestor do Sistema';
      } 

 } 
 else
 { 
    $mensagem='Usurio e Senhas invlidos!! - Redigite';
 } 

} 

?>
<html>

<head>

<title>SysLogue - Autenticao Acesso</title>

</head>

<body background="<? echo $Skin.'PanoFundo.jpg'; ?>">

<form action="FormAcessoSenha.php" METHOD="POST">
  <p align="center">
  <fieldset style="width: 907; height: 176; padding: 2">
  <legend align="center">

  <p align="center"><a href="About.php"><img border="0" src="<? echo $Skin.'LogoSysLogue.jpg'; ?>" width="178" height="49"></a></p>

  </legend>
  <p align="center"><b><font size="4">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></b> 
  <font color="#027BC4">Login: <img border="0" src="<? echo $Skin.'Login.jpg'; ?>" width="32" height="32">

  <input type="text" name="wusuario" size="20" tabindex="1" style="font-size: 10 pt; color: #0000FF; font-weight: bold; border: 1px outset #D9ECFF"></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 

  <font color="#027BC4">

  Senha:
  <img border="0" src="<? echo $Skin.'Senha.jpg'; ?>" width="32" height="32">

  <input type="password" name="wsenha" size="20" tabindex="2" style="border: 1px outset #D9ECFF; font-size:8 pt; color:#0000FF"></font><font color="#027BC4">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

  <p align="center">
  <input type="submit" value="Entrar" name="entrar" tabindex="3"><img border="0" src="<? echo $Skin.'Entrar.jpg'; ?>" width="32" height="32">&nbsp;&nbsp; &nbsp;
  <input type="reset" value="Limpar" name="limpar"><img border="0" src="<? echo $Skin.'Limpar.jpg'; ?>" width="32" height="32"></p>

  <p align="center">
  <a href="About.php"><img border="0" src="<? echo $Skin.'Sair.jpg'; ?>" width="60" height="47"></a></p>
  </fieldset>



  <fieldset style="width: 907; height: 30; padding: 2">
  <legend align="center"><b><font size="4" color="#0000FF">Aviso</font>
  <font color="#FF0000" size="4">&nbsp; </font></b></legend>
  <font color="#FF0000" >&nbsp;
  <?
      echo $mensagem;
  ?>
  </font></fieldset>


</form>

</body>

</html>
